<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>2. Charging the battery &mdash; Spade 1.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />
      <link rel="stylesheet" type="text/css" href="_static/tabs.css?v=a5c4661c" />

  
    <link rel="shortcut icon" href="_static/Spade_icon_2.ico"/>
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=f2a433a1"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="3. Flying" href="Flying.html" />
    <link rel="prev" title="1. Hardware components" href="Hardware.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            Spade
              <img src="_static/Spade_icon_2.png" class="logo" alt="Logo"/>
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Hardware.html">1. Hardware components</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">2. Charging the battery</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#connecting-the-battery-and-charger">2.1. Connecting the battery and charger</a></li>
<li class="toctree-l2"><a class="reference internal" href="#setup-the-charger">2.2. Setup the Charger</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#select-task">2.2.1. Select task</a></li>
<li class="toctree-l3"><a class="reference internal" href="#battery-type">2.2.2. Battery type</a></li>
<li class="toctree-l3"><a class="reference internal" href="#cell-voltage">2.2.3. Cell voltage</a></li>
<li class="toctree-l3"><a class="reference internal" href="#cell-count">2.2.4. Cell count</a></li>
<li class="toctree-l3"><a class="reference internal" href="#current-setting">2.2.5. Current setting</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#connecting-the-parts">2.3. Connecting the parts</a></li>
<li class="toctree-l2"><a class="reference internal" href="#next-steps">2.4. Next Steps</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="Flying.html">3. Flying</a></li>
<li class="toctree-l1"><a class="reference internal" href="RaspberryPi.html">4. Interacting with the Raspberry Pi</a></li>
<li class="toctree-l1"><a class="reference internal" href="Simulation.html">5. ROS2 node in simulation and reality</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Spade</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active"><span class="section-number">2. </span>Charging the battery</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Battery.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="toctree-wrapper compound">
</div>
<section id="charging-the-battery">
<h1><span class="section-number">2. </span>Charging the battery<a class="headerlink" href="#charging-the-battery" title="Link to this heading"></a></h1>
<section id="connecting-the-battery-and-charger">
<h2><span class="section-number">2.1. </span>Connecting the battery and charger<a class="headerlink" href="#connecting-the-battery-and-charger" title="Link to this heading"></a></h2>
<p>To charge the batteries with the charger first connect the battery and charger. The outermost black wire on the battery should be connected at the minus sign on the charger, the following wires indicate the different cells on the battery.</p>
</section>
<section id="setup-the-charger">
<h2><span class="section-number">2.2. </span>Setup the Charger<a class="headerlink" href="#setup-the-charger" title="Link to this heading"></a></h2>
<p>No matter which charger you are using, there are a couple of settings that need to be set up. We will now go through each of these and how to set them up.</p>
<section id="select-task">
<h3><span class="section-number">2.2.1. </span>Select task<a class="headerlink" href="#select-task" title="Link to this heading"></a></h3>
<p>The charger typically has two modes: Charge and
storage
The charge function is used to charge your batteries
and prepare them for use.
The storage function is used when you want to store
your batteries for an extended period of time and will prolong the lifetime of your batteries</p>
</section>
<section id="battery-type">
<h3><span class="section-number">2.2.2. </span>Battery type<a class="headerlink" href="#battery-type" title="Link to this heading"></a></h3>
<p>The battery type can be found on your battery or with a quick Google search, however, commonly drones will use LiPo batteries.</p>
</section>
<section id="cell-voltage">
<h3><span class="section-number">2.2.3. </span>Cell voltage<a class="headerlink" href="#cell-voltage" title="Link to this heading"></a></h3>
<p>The cell voltage can be seen in the table below. The optimal fields to be in here are the grey ones. This means that you should be careful not to charge your batteries too high, and also not to discharge them to a too low level. Discharging your batteries too low can be avoided by using the battery alarm as explained later.</p>
<a class="reference internal image-reference" href="_images/lipotable.png"><img alt="_images/lipotable.png" class="align-center" src="_images/lipotable.png" style="width: 80%;" /></a>
</section>
<section id="cell-count">
<h3><span class="section-number">2.2.4. </span>Cell count<a class="headerlink" href="#cell-count" title="Link to this heading"></a></h3>
<p>The cell count can also be found on your battery, it is indicated by a number followed by an S.</p>
</section>
<section id="current-setting">
<h3><span class="section-number">2.2.5. </span>Current setting<a class="headerlink" href="#current-setting" title="Link to this heading"></a></h3>
<p>The current setting can be calculated from the battery’s c-charge rating. It is important to note that the C-charge rating and C-discharge rating are not the same. To be safe you can always use a C-charge rating of 1.
The formula for calculating the charge current can be seen below.</p>
<div class="math notranslate nohighlight">
\[I_{charge} = C_{charge} * Capacity\]</div>
</section>
</section>
<section id="connecting-the-parts">
<h2><span class="section-number">2.3. </span>Connecting the parts<a class="headerlink" href="#connecting-the-parts" title="Link to this heading"></a></h2>
<p>After having safely charged the battery, the next step is to connect it
to the drone and mount it on top as seen in the picture below.</p>
<a class="reference internal image-reference" href="_images/Assembled_drone.jpg"><img alt="_images/Assembled_drone.jpg" class="align-center" src="_images/Assembled_drone.jpg" style="width: 100%;" /></a>
<p>Additionally, it is also important to connect the battery alarm. This is connected as seen in the picture below.</p>
<a class="reference internal image-reference" href="_images/Battery_monitor.jpg"><img alt="_images/Battery_monitor.jpg" class="align-center" src="_images/Battery_monitor.jpg" style="width: 100%;" /></a>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If the battery is a little loose, it can be recommended to use strips to secure it to the drone.</p>
</div>
<p>When properly connected the observer will beep and start
showing the battery levels of the cells. The purpose of the battery observer is to alarm you
before the battery cells reach a critically low level, both to avoid damaging the batteries
and to avoid crashing. It does this by starting to beep at you when the battery level is too
low. At this point, you should start trying to land the drone. When it starts beeping again,
the drone will soon crash and you should stay clear.</p>
</section>
<section id="next-steps">
<h2><span class="section-number">2.4. </span>Next Steps<a class="headerlink" href="#next-steps" title="Link to this heading"></a></h2>
<p>Now that the battery is ready, let’s get ready to fly the drone!</p>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Hardware.html" class="btn btn-neutral float-left" title="1. Hardware components" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="Flying.html" class="btn btn-neutral float-right" title="3. Flying" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Markus Simonsen.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>